Skip to main content
GET
/
v2
/
delta
/
prices
Get a Delta V2 price (same-chain or crosschain)
curl --request GET \
  --url https://api.velora.xyz/v2/delta/prices
{
  "id": "<string>",
  "inputToken": {
    "chainId": 123,
    "address": "<string>"
  },
  "outputToken": {
    "chainId": 123,
    "address": "<string>"
  },
  "route": {
    "origin": {
      "input": {
        "token": {
          "chainId": 123,
          "address": "<string>"
        },
        "amount": "<string>",
        "amountUSD": "<string>"
      },
      "output": {
        "token": {
          "chainId": 123,
          "address": "<string>"
        },
        "amount": "<string>",
        "amountUSD": "<string>"
      }
    },
    "destination": {
      "input": {
        "token": {
          "chainId": 123,
          "address": "<string>"
        },
        "amount": "<string>",
        "amountUSD": "<string>"
      },
      "output": {
        "token": {
          "chainId": 123,
          "address": "<string>"
        },
        "amount": "<string>",
        "amountUSD": "<string>"
      }
    },
    "bridge": {
      "protocol": "<string>",
      "estimatedTimeMs": 123,
      "tags": [],
      "contractParams": {
        "protocolSelector": "<string>",
        "outputToken": "<string>",
        "scalingFactor": 123,
        "protocolData": "<string>"
      }
    },
    "fees": {
      "gas": {
        "token": {
          "chainId": 123,
          "address": "<string>"
        },
        "amount": "<string>",
        "amountUSD": "<string>"
      },
      "bridge": [
        {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        }
      ]
    }
  },
  "alternatives": [
    {
      "origin": {
        "input": {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        },
        "output": {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        }
      },
      "destination": {
        "input": {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        },
        "output": {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        }
      },
      "bridge": {
        "protocol": "<string>",
        "estimatedTimeMs": 123,
        "tags": [],
        "contractParams": {
          "protocolSelector": "<string>",
          "outputToken": "<string>",
          "scalingFactor": 123,
          "protocolData": "<string>"
        }
      },
      "fees": {
        "gas": {
          "token": {
            "chainId": 123,
            "address": "<string>"
          },
          "amount": "<string>",
          "amountUSD": "<string>"
        },
        "bridge": [
          {
            "token": {
              "chainId": 123,
              "address": "<string>"
            },
            "amount": "<string>",
            "amountUSD": "<string>"
          }
        ]
      }
    }
  ],
  "partner": {
    "name": "<string>",
    "feePercent": 123
  },
  "spender": "<string>"
}

Query Parameters

chainId
integer
required

Source chain ID. Supported: 1, 10, 56, 100, 130, 137, 8453, 42161, 43114.

Example:

1

srcToken
string
required
Example:

"0x6B175474E89094C44Da98b954EedeAC495271d0F"

destToken
string
required

Destination token. For crosschain quotes, the destination token on destChainId.

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

amount
string
required

Source amount (SELL) or destination amount (BUY), in raw token units.

Example:

"1000000000000000000"

srcDecimals
integer
required
Example:

18

destDecimals
integer
required
Example:

6

side
enum<string>
default:SELL
Available options:
SELL,
BUY
destChainId
integer

Omit for same-chain. When set, response route.bridge is populated.

userAddress
string
beneficiary
string

Address that receives the destination token. Defaults to userAddress.

partner
string
default:anon

Partner key. Defaults to anon (1bps fee).

Example:

"my-app-name"

partnerFeeBps
integer

Override partner fee in basis points (max 200 = 2%).

Required range: 0 <= x <= 200
maxImpact
number

Maximum price impact in % (default 15).

maxUSDImpact
number

Maximum price impact in USD.

includeAgents
string

Comma-separated list of agent names to include.

excludeAgents
string

Comma-separated list of agent names to exclude.

includeBridges
string

Comma-separated bridge protocol names to include (crosschain only).

excludeBridges
string

Comma-separated bridge protocol names to exclude.

allowBridgeAndSwap
boolean
default:true

Allow combining bridge + on-chain swap. Forced to false for BUY side.

Response

Recommended route plus alternatives.

id
string

Request id (echo for support tickets).

side
enum<string>
Available options:
SELL,
BUY
inputToken
object
outputToken
object
route
object
alternatives
object[]

Up to N additional routes (crosschain only).

partner
object
spender
string

Delta contract address; approve this as ERC-20 spender.

Last modified on June 11, 2026